YPINIT(8)

NAME
ypinit - build and install yellow pages database

SYNOPSIS
ypinit -m
ypinit -s master_name

DESCRIPTION
Ypinit sets up a yellow pages database on a YP server. It can be used to set up a master or a slave server. You must be the superuser to run it. It asks a few, self-explanatory questions, and reports success or failure to the terminal. For further information on yellow pages, including setting up the database, refer to the DYNIX NFS Adminstrator's Guide , Chapter 3 , Administering the Yellow Pages Service .

It sets up a master server using the simple model in which that server is master to all maps in the data base. This is the way to bootstrap the YP system; if you want, you can later change the association of maps to masters. All databases are built from scratch, either from information available to the program at runtime, or from the ASCII data base files in /etc. These files are listed below under FILES . All such files should be in their non-YP form, rather than the abbreviated form used on client machines.

A YP database on a slave server is set up by copying an existing database from a running server. The master_name argument should be the hostname of YP server (either the master server for all the maps, or a server on which the data base is up-to-date and stable).

Refer to ypfiles(5) and ypserv(8) for an overview of the yellow pages.

OPTIONS

-m  Indicates that the local host is to be the YP master.

-s  Set up a slave database.

FILES
/etc/ethers
/etc/group
/etc/hosts
/etc/netgroup
/etc/networks
/etc/passwd
/etc/protocols
/etc/rpc
/etc/services

SEE ALSO
ypfiles(5), makedbm(8), ypmake(8), yppush(8), ypserv(8), ypxfr(8), DYNIX NFS Adminstrator's Guide